window.onload = function() {
   var button = document.getElementById("drawButton");
   button.onclick=drawHandler;
};

function drawHandler() {
  var canvas = document.getElementById("myCanvas");
  var context = canvas.getContext("2d");
  
  var selectObj = document.getElementById("backgroundColor");
  var index = selectObj.selectedIndex;
  var bgColor = selectObj.options[index].value;
  var sqColor = "green";
  fillBackground(canvas,context,bgColor);
  drawSquare(canvas, context, sqColor);
  }
  
function fillBackground(canvas, context, bgColor) {
  context.fillStyle=bgColor;
  context.fillRect(0,0,canvas.width, canvas.height);
}

function drawSquare(canvas, context, sqColor) {
  context.fillStyle=sqColor;
  context.fillRect(0,0,20,20);
}